Skip to main content
GET
/
issues
/
stream
Get a stream of filtered issues.
curl --request GET \
  --url https://api.samsara.com/issues/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAtTime": "2019-06-13T19:08:25Z",
      "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
      "issueSource": {
        "type": "form",
        "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7"
      },
      "status": "open",
      "submittedAtTime": "2019-06-13T19:08:25Z",
      "submittedBy": {
        "id": "938172",
        "type": "driver"
      },
      "title": "Oil spill",
      "updatedAtTime": "2019-06-13T19:08:25Z",
      "asset": {
        "entryType": "tracked",
        "externalIds": {},
        "id": "281474982859091",
        "name": "trailer 123"
      },
      "assignedTo": {
        "id": "938172",
        "type": "driver"
      },
      "description": "Oil spill in left corner of SF1",
      "dueDate": "2019-06-13T19:08:25Z",
      "externalIds": {},
      "mediaList": [
        {
          "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
          "processingStatus": "processing",
          "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
          "urlExpiresAt": "2019-06-13T19:08:25Z"
        }
      ],
      "priority": "high"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startTime
string
required

A start time in RFC 3339 format. Millisecond precision and timezones are supported. Value is compared against updatedAtTime. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string

An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. Value is compared against updatedAtTime. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

status
string[]

A comma-separated list containing status values to filter issues on. Valid values: open, inProgress, resolved, dismissed

assetIds
string[]

A comma-separated list containing up to 50 asset IDs to filter issues on. Issues with untracked assets can also be included by passing the value: 'untracked'.

include
string[]

A comma separated list of additional fields to include on requested objects. Valid values: externalIds

assignedToRouteStopIds
string[]

A comma-separated list containing up to 50 route stop IDs to filter data on.

Response

OK response.

data
object[]
required

List of issues.

pagination
object
required

Pagination parameters.